Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356613 - docs: rsync protocol is not dependent on ssh
Summary: docs: rsync protocol is not dependent on ssh
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rear
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Mazanek
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 13:11 UTC by Tomas Dolezal
Modified: 2017-08-22 13:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-22 13:18:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github rear rear issues 918 None None None 2016-07-14 13:12:48 UTC

Description Tomas Dolezal 2016-07-14 13:11:26 UTC
Description of problem:
from manpage:
OUTPUT_URL=rsync://
Write the image using rsync and the RSYNC protocol (SSH only).

The information provided above does not make sense since rsyncd is used on remote side, no ssh is involed altogether with this option. This also changes the path needed to be used from remote path to rsync module and path in it.

Relax-and-Recover 1.17.2 / Git
Red Hat Enterprise Linux Server release 7.2 (Maipo)
/etc/rear/local.conf:
OUTPUT=PXE
OUTPUT_URL="rsync://192.168.122.153/rear/"
BACKUP=RSYNC
BACKUP_URL="rsync://192.168.122.153/rear/"

Rear version:
rear-1.17.2-1.el7.noarch

Link to github issue:
https://github.com/rear/rear/issues/918

Comment 2 Pavel Cahyna 2017-07-14 15:57:03 UTC
This will be fixed in 2.00.

Comment 4 Jakub Mazanek 2017-08-22 13:18:14 UTC
This was fixed in rear-2.00


Note You need to log in before you can comment on or make changes to this bug.